pangomm: Pango::FontMap Class Reference

pangomm 2.28.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Pango::FontMap Class Reference

A Pango::FontMap represents the set of fonts available for a particular rendering system. More...

Inheritance diagram for Pango::FontMap:
[legend]
Collaboration diagram for Pango::FontMap:
[legend]

List of all members.

## Public Member Functions
virtual | ~FontMap ()
PangoFontMap* | gobj ()
| Provides access to the underlying C GObject.
const PangoFontMap* | gobj () const
| Provides access to the underlying C GObject.
PangoFontMap* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Font > | load_font (const Glib::RefPtr< Context >& context, const FontDescription& desc) const
| Load the font in the fontmap that is the closest match for desc.
Glib::RefPtr< Fontset > | load_fontset (const Glib::RefPtr< Context >& context, const FontDescription& desc, const Language& language) const
| Load a set of fonts in the fontmap that can be used to render a font matching desc.
Glib::RefPtr< Context > | create_context ()
| Creates a Pango::Context connected to fontmap.
Glib::ArrayHandle < Glib::RefPtr< FontFamily > > | list_families () const
| List all families for the fontmap.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Pango::FontMap > | wrap (PangoFontMap* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Pango::FontMap represents the set of fonts available for a particular rendering system.

## Constructor & Destructor Documentation

virtual Pango::FontMap::~FontMap | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<Context> Pango::FontMap::create_context | ( |  | ) |

Creates a Pango::Context connected to fontmap.

This is equivalent to Pango::Context::new() followed by Pango::Context::set_font_map().

If you are using Pango as part of a higher-level system, that system may have it's own way of create a Pango::Context. For instance, the GTK+ toolkit has, among others, gdk_pango_context_get_for_screen(), and gtk_widget_get_pango_context(). Use those instead.

Since pangomm 1.22:

Returns:
  The newly allocated Pango::Context, which should be freed with Glib::object_unref().

const PangoFontMap* Pango::FontMap::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

PangoFontMap* Pango::FontMap::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

PangoFontMap* Pango::FontMap::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::ArrayHandle< Glib::RefPtr<FontFamily> > Pango::FontMap::list_families | ( |  | ) | const

List all families for the fontmap.

Returns:
  an array of pointers to Pango::FontFamily objects.

Glib::RefPtr<Font> Pango::FontMap::load_font | ( | const Glib::RefPtr< Context >& | context,
|  | const FontDescription& | desc
| ) |  | const

Load the font in the fontmap that is the closest match for desc.

Parameters:

  context | The Pango::Context the font will be used with.
  desc | A Pango::FontDescription describing the font to load.

Returns:
  The font loaded, or `0` if no font matched.

Glib::RefPtr<Fontset> Pango::FontMap::load_fontset | ( | const Glib::RefPtr< Context >& | context,
|  | const FontDescription& | desc,
|  | const Language& | language
| ) |  | const

Load a set of fonts in the fontmap that can be used to render a font matching desc.

Parameters:

  context | The Pango::Context the font will be used with.
  desc | A Pango::FontDescription describing the font to load.
  language | A Pango::Language the fonts will be used for.

Returns:
  The fontset, or `0` if no font matched.

## Friends And Related Function Documentation

Glib::RefPtr< Pango::FontMap > wrap | ( | PangoFontMap * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- pangomm/fontmap.h